Create or update a registered Molecule
Create or update a registered Molecule.
Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entity_registry_id
Request
This endpoint expects an object.
name
Name of the Molecule.
registryId
schemaId
ID of the Molecule's schema.
chemicalStructure
Chemical structure of the Molecule.
archiveRecord
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fields
Fields to set on the Molecule. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliases
Aliases to add to the Molecule.
customFields
Custom fields to add to the Molecule. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the Molecule.
Response
OK
aliases
Array of aliases.
apiURL
The canonical url of the Molecule in the API.
archiveRecord
canonicalizedSmiles
The canonicalized chemical structure in SMILES format.
createdAt
DateTime the Molecule was created.
creator
customFields
Custom fields set on the Molecule.
entityRegistryId
Registry ID of the Molecule if registered.
fields
folderId
ID of the folder that contains the Molecule.
id
ID of the Molecule.
modifiedAt
DateTime the Molecule was last modified.
name
Name of the Molecule.
originalSmiles
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
registrationOrigin
registryId
Registry the Molecule is registered in.
schema
webURL
URL of the Molecule.
Errors
400
Bad Request Error